Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.request
Class PortletResourceRequest.PageScope

    java.lang.Object
      org.jboss.portal.portlet.controller.request.PortletResourceRequest.Scope
          org.jboss.portal.portlet.controller.request.PortletResourceRequest.FullScope
              org.jboss.portal.portlet.controller.request.PortletResourceRequest.PortletScope
                  org.jboss.portal.portlet.controller.request.PortletResourceRequest.PageScope

Enclosing class:
  PortletResourceRequest

    public static class PortletResourceRequest.PageScope

extends PortletResourceRequest.PortletScope

Constructor Summary
`PortletResourceRequest.PageScope(PortletWindowNavigationalState windowNavigationalState, PortletPageNavigationalState pageNavigationalState)`

Method Summary
`CacheLevel` | `getCacheability()`
`PortletPageNavigationalState` | `getPageNavigationalState()`

Methods inherited from class org.jboss.portal.portlet.controller.request.PortletResourceRequest.PortletScope
`getWindowNavigationalState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResourceRequest.PageScope

    public PortletResourceRequest.PageScope(PortletWindowNavigationalState windowNavigationalState,
                                            PortletPageNavigationalState pageNavigationalState)

Method Detail

### getPageNavigationalState

    public PortletPageNavigationalState getPageNavigationalState()

### getCacheability

    public CacheLevel getCacheability()

  Overrides:
    `getCacheability` in class `PortletResourceRequest.PortletScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.